Subject: Re: [OSPF]Path prefrence for External LSA

From: "Pat Murphy - (650)329-4044" <[email-masked]>
Date: Wed, 18 Jul 2007 15:00:49 -0700 (PDT)

Anton,

Actually the original primary purpose of the rule was to make
sure that the Type-5 translation of a Type-7 LSA is never
preferred since both would have the same non-zero forwarding
address. As you state a Type-5 LSA with an NSSA forwarding
address should never be installed, ala Step (3)'s

  If the forwarding address is non-zero look up the forwarding
  address in the routing table.  For a Type-5 LSA the matching
  routing table entry must specify an intra-area or inter-area
  path through a Type-5 capable area.  For a Type-7 LSA the
  matching routing table entry must specify an intra-area path
  through the LSA's originating NSSA.

I long ago toyed with the idea of removing (e). Unfortunately,
whether or not a prefix belongs to a specific area is a
supposition that is broken all the time. Hence it remains.

Pat

Date: Wed, 18 Jul 2007 23:02:09 +0200
From: Anton Smirnov <[email-masked]>
Subject: Re: [OSPF]Path prefrence for External LSA
In-reply-to: <[email-masked]>
To: "Pat Murphy - (650)329-4044" <[email-masked]>
Cc: [email-masked], [email-masked]
Message-id: <[email-masked]>

    Hi Pat,
    if this rule is supposed to be applied only to LSAs with the same fw 
address then it can be reached only when two Type-7 LSAs originated 
within the same area are being compared. Because if we are comparing 
Type-5 and Type-7 with equal fw address then at least one of LSAs will 
be rejected at the step 3. Fw address is reachable either thru NSSA area 
(then Type-5 is rejected) or through 'normal' area (and then Type-7 is 
rejected).

---
    Thanks,

Anton

Pat Murphy - (650)329-4044 wrote:
>> In RFC 3101 (NSSA option), section 2.5.6 (e) for calculating External 
>> LSA states;
> 
>  (e) If the current LSA is functionally the same as an
>      installed LSA (i.e., same destination, cost and non-zero
>      forwarding address) then apply the following priorities in
>      deciding which LSA is preferred:
> 
>          1. A Type-7 LSA with the P-bit set.
>          2. A Type-5 LSA.
>          3. The LSA with the higher router ID.
>      [NSSA]
>  
>> My doubt is:
>> If the both LSAs have zero FA or different FA then should
>> the above preference rule be skipped and both LSAs be
>> considered for SPF?
> 
> That is correct. Once the (6)a through (6)e preference rules are applied 
> to the installed LSAs and the current LSA under external calculation, 
> some of the installed LSAs may be replaced in the installed set by the 
> current LSA. Alternatively the current LSA may not be installed and the 
> existing installed set may remain intact, or the LSA may be added to the 
> existing installed set. If the forwarding addresses of the installed set 
> are all different, then this preference rule simply does not prune any 
> LSAs from the combined set. If an LSA has a zero FA then this preference 
> rule is skipped.
> 
> Pat
> 
> 
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ospf

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf